$(document).ready(function() {
//	if(cid!="0"){
//		InitProp(cid);
//	};
	$("#sort_price dl").mouseover(function(){
		$(this).addClass("hove");
	}).bind("mouseleave",function(){
		$(this).removeClass("hove");
		$(this).children("dd").each(function(){
			$(this).hide();
		});
	});
	$("#sort_price dd").hover(function(){
		$(this).css({background:"#FFF3BF"});
	},function(){
		$(this).css({background:"#ffffff"});
	});
	$("#ddlSort").attr("value",sort);
	// 设置上一页、下一页信息
	var curpage = $("#curpage").length>0 ? parseInt($("#curpage").text()) : "1";
	var totalpage =  $("#totalpage").length>0 ? parseInt($("#totalpage").text()) : "1";
	if(curpage==1){

		if(curpage!=totalpage && totalpage!=0){
			$(".prepage").html(prePage);
			curpage = curpage+1;
			$(".nextpage").html("<a href='" + baseUrl+"?sid=" + sid + "&act=" + act+ "&cid=" + cid + "&skey=" + skey + "&page=" + curpage+ "&sort=" + sort + "'>"+nextPage +"</a>");
		}else{
			$(".prepage").html(prePage);
			$(".nextpage").html(nextPage);
		}
	}
	else if(curpage!=1 && curpage!=totalpage){
		var curpage1=curpage-1
		var curpage2=curpage+1;
		$(".prepage").html("<a href='" + baseUrl+"?sid=" + sid + "&act=" + act+ "&cid=" + cid + "&skey=" + skey + "&page=" + curpage1 + "&sort=" + sort + "'>"+prePage +"</a>");
		$(".nextpage").html("<a href='" + baseUrl+"?sid=" + sid + "&act=" + act+ "&cid=" + cid + "&skey=" + skey + "&page=" + curpage2 + "&sort=" + sort + "'>"+nextPage +"</a>");
	}else{
		$(".nextpage").html(nextPage);
		curpage = curpage-1;
		$(".prepage").html("<a href='" + baseUrl+"?sid=" + sid + "&act=" + act+ "&cid=" + cid + "&skey=" + skey + "&page=" + curpage + "&sort=" + sort + "'>"+prePage +"</a>");
	}

	//给ddlSort控件绑定onChange事件
	$("#ddlSort").bind("change",function(){
		sort = $("#ddlSort").val();
		window.location.href=baseUrl+"-"+cid+"-"+bid+"-"+page+"-"+display+"-"+sort+"-"+type+"-"+paras+"."+extend;
	});
	//给页码文本框绑定onkeyup事件
	$("#gopage").bind("keyup",function(){
		$("#gopage").attr({
			"value" : $("#gopage").val().replace(/\D/g,"")
		});
	});
	//给跳转按钮绑定onclick事件
	$("#go").bind("click",function(){
		var pageNum = $("#gopage").val();
		if(pageNum.replace(new RegExp("(^[\\s]*)|([\\s]*$)", "g"), "") != "" ){
            if(pageNum != "0"){
                if(pageNum > totalpage){
                    alert("输入的数字大于总页数");
                    $("#gopage").attr("value","");
                    return false;
                }else{
					window.location.href= baseUrl+"?sid=" + sid + "&act=" + act+ "&cid=" + cid + "&skey=" + skey + "&page=" + pageNum + "&sort=" + sort ;
                }
            }else{  
                alert("输入错误！");
                $("#gopage").attr("value","");
                return false;
            }
        }else{
            alert("请输入要跳转到的页面");
           $("#gopage").attr("value","");
            return false;
        }
	});
	
	
	//重置按钮
    $("#btnReset").click(function(){
    var len = document.form1.elements.length;
    for(i = 0 ; i < len ; i++){
          if(document.form1.elements[i].type == 'text'){
            document.form1.elements[i].value = '';
          }else if(document.form1.elements[i].type == 'select-one'){
            document.form1.elements[i].options[0].selected=true;
          }
        }
        return false;
      })
  
    //类别的展开与收起
    $("li p").toggle(function(){
//            $(this).addClass("on");
//            $(this).children().show();
//	        },function(){
//	        $(this).removeClass("on");
//            $(this).children().hide();
    
    
    if($(this).parent().hasClass("close")){
        $(this).parent().removeClass("close").addClass("open");
        $(this).next().next().hide();
    }
    else{
        $(this).parent().removeClass("open").addClass("close");
        $(this).next().next().show();
    }
    },function(){
    if($(this).parent().hasClass("open")){
        $(this).parent().removeClass("open").addClass("close");
        $(this).next().next().show();
    }
    else{
        $(this).parent().removeClass("close").addClass("open");
        $(this).next().next().hide();
    }
    }
  );




});